Bug 1262274 - Valgrind in build dependencies but not used
Valgrind in build dependencies but not used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdbusmenu (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 06:22 EDT by Marcin Juszkiewicz
Modified: 2017-05-07 01:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: libdbusmenu-16.04.0-2.fc26 libdbusmenu-16.04.0-2.fc25 libdbusmenu-16.04.0-2.fc24 libdbusmenu-16.04.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 23:08:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Juszkiewicz 2015-09-11 06:22:57 EDT
Description of problem:

libdbusmenu.spec lists valgrind-devel as build time dependency for some architectures but does not use it at all. The only use in upstream source is valgrind binary (so valgrind package) for tests but there is no %check in spec too (probably due to use of 'dbus-test-runner' which is not packaged for Fedora).

Version-Release number of selected component (if applicable):

12.10.2-9
Comment 1 Jan Kurik 2016-02-24 08:44:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Simone Caronni 2017-04-17 05:46:06 EDT
I've removed the dependency and made some adjustments for running the testsuite when dbus-test-runner is available in Fedora/EPEL:

http://pkgs.fedoraproject.org/cgit/rpms/libdbusmenu.git/commit/?id=53a788177165a0295338eb9a98c3b7711c3a4250

I'm planning to post dbus-test-runner for review soon.
Comment 3 Fedora Update System 2017-04-17 06:16:09 EDT
libdbusmenu-16.04.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42553f77fa
Comment 4 Fedora Update System 2017-04-17 06:16:21 EDT
libdbusmenu-16.04.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0e9a98335
Comment 5 Fedora Update System 2017-04-17 06:16:31 EDT
libdbusmenu-16.04.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb8cabde49
Comment 6 Fedora Update System 2017-04-17 06:16:42 EDT
libdbusmenu-16.04.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad354f5e25
Comment 7 Fedora Update System 2017-04-17 17:51:55 EDT
libdbusmenu-16.04.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0e9a98335
Comment 8 Fedora Update System 2017-04-17 18:24:41 EDT
libdbusmenu-16.04.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-42553f77fa
Comment 9 Fedora Update System 2017-04-17 19:50:41 EDT
libdbusmenu-16.04.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad354f5e25
Comment 10 Fedora Update System 2017-04-17 21:17:17 EDT
libdbusmenu-16.04.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bb8cabde49
Comment 11 Fedora Update System 2017-04-18 23:08:08 EDT
libdbusmenu-16.04.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-04-19 05:26:25 EDT
libdbusmenu-16.04.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-04-25 13:23:15 EDT
libdbusmenu-16.04.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-05-07 01:52:38 EDT
libdbusmenu-16.04.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.